WIMVERIFY(1)

NAME
wimverify - Verify a WIM archive

SYNOPSIS
wimverify WIMFILE [OPTION...]

DESCRIPTION
wimverify (or equivalently wimlib-imagex verify) checks the validity and integrity of the specified WIM archive.

Specifically, this command performs the following verifications on the WIM:

•   Verify that the WIM can be successfully opened, which involves parsing the header, blob table, and XML data.

•   If the WIM contains extra integrity information, verify the integrity of the entire WIM.

•   Verify that the metadata for each image in the WIM can be successfully parsed.

•   Verify that all files needed by each image are actually contained in the WIM or in one of the WIMs referenced by the --ref option.

•   Verify that all files contained in the WIM can be successfully decompressed, with matching checksums.

OPTIONS

--ref="GLOB"
    File glob of additional WIMs or split WIM parts to reference resources from. This option can be specified multiple times. Note: GLOB is listed in quotes because it is interpreted by wimverify and may need to be quoted to protect against shell expansion.

--nocheck
    Do not verify the WIM's integrity using the extra integrity information (the integrity table).

NOTES
wimverify is a read-only operation; it does not modify the WIM file.

Even if the WIM does not contain extra integrity information (e.g. generated with the --check option to wimcapture), wimverify may still be quite useful because all file data is still checksummed.

In the future, wimverify might do more thorough verifications than it does now.

EXAMPLES
Verify the WIM file 'boot.wim':

    wimverify boot.wim

Verify the split WIM file consisting of 'boot.swm', 'boot2.swm', 'boot3.swm', ...:

    wimverify boot.swm --ref="boot*.swm"

SEE ALSO
wimlib-imagex(1)